{% extends 'admin/base.html.twig' %}

{% block stylesheets %}
    {{ encore_entry_link_tags('app_admin_thesis_content') }}
{% endblock %}

{% block body %}
    {% if thesis is not null %}
        {% include 'admin/views/title.html.twig' with {name: 'Update Thesis', description: 'Update thesis content, seo, query'} %}
        <div class="thesis-menu">
            <a href="{{ path('app_admin_thesis_create') }}" class="btn-green"><i class="fa-solid fa-plus nav-icon"></i> Create</a>
        </div>
        {% include 'admin/views/back_btn.html.twig' with {link: backLink, thesisId: thesis.id} %}
        {% include 'admin/views/submenu.html.twig' with {submenu: menu.submenu} %}
    {% else %}
        {% include 'admin/views/title.html.twig' with {name: 'Create Thesis', description: 'Creation thesis content, seo, query'} %}
        {% include 'admin/views/back_btn.html.twig' with {link: backLink, title: 'New Thesis'} %}
    {% endif %}
    <div class="block"
         data-controller="admin--thesis--content--list-type admin--thesis--content--element admin--thesis--content--base"
         data-action="admin--thesis--content--list-type:addListItemContent->admin--thesis--content--element#buildContentElement"
         data-admin--thesis--content--base-list-elements-class="list-elements"
         data-admin--thesis--content--base-form-item-class="form__item"
         data-admin--thesis--content--base-sub-block-class="sub-block"
         data-admin--thesis--content--base-sub-block-active-class="sub-block_active"
         data-admin--thesis--content--base-content-list-wrapper-class="content-list-wrapper"
         data-admin--thesis--content--base-btn-move-item-class="btn-move-item">
        <form class="form" data-admin--thesis--content--base-target="form">
            {% if thesis is not null %}<input type="hidden" name="thesis-id" value="{{ thesis.id }}"/>{% endif %}
            <div class="sub-block">
                <div class="sub-block__title">
                    <p class="sub-block__name">Meta</p>
                    <p class="sub-block__description">Create meta title, keywords and description</p>
                </div>
                <div class="form__item">
                    <label for="metaTitle" class="form__label">Title</label>
                    <input id="metaTitle" type="text" class="form__input" name="metaTitle" {% if thesisMeta is not null %} value="{{ thesisMeta.title }}" {% endif %}/>
                </div>
                <div class="form__item">
                    <label for="keywords" class="form__label">Keywords</label>
                    <input id="keywords" type="text" class="form__input" name="metaKeywords" {% if thesisMeta is not null %} value="{{ thesisMeta.keywords }}" {% endif %}/>
                </div>
                <div class="form__item">
                    <label for="description" class="form__label">Description</label>
                    <input id="description" type="text" class="form__input" name="metaDescription" {% if thesisMeta is not null %} value="{{ thesisMeta.description }}" {% endif %}/>
                </div>
            </div>
            <div class="sub-block">
                <div class="sub-block__title">
                    <p class="sub-block__name">General</p>
                    <p class="sub-block__description">Set general data for thesis</p>
                </div>
                <div class="form__item">
                    <label for="source" class="form__label">Source</label>
                    <div class="source__wrapper">
                        {% if thesis is not null  %} {% set thesisSource = thesis.source %} {% elseif source is defined %} {% set thesisSource = source %} {% endif %}
                        <input id="source" type="text" class="form__input" name="source" {% if thesisSource is defined %} value="{{ thesisSource }}" {% endif %}/>
                        {% if thesisSource is defined %} <a href="{{ thesisSource }}" target="_blank"><i class="fa-solid fa-arrow-up-right-from-square"></i></a> {% endif %}
                    </div>
                </div>
                <div class="form__item">
                    <p class="form__label">Status:</p>
                    <div>
                        <select class="form__select select-status" name="status">
                            <option value="0" {% if thesis is not null and thesis.show == false %} selected {% endif %}>Progress</option>
                            <option value="1" {% if thesis is not null and thesis.show == true %} selected {% endif %}>Published</option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="sub-block">
                <div class="sub-block__title">
                    <p class="sub-block__name">Thesis Type</p>
                    <p class="sub-block__description">Select type from the list</p>
                </div>
                <div class="form__item">
                    <p class="form__label">Select Thesis Type:</p>
                    <div>
                        <select id="thesis-type-selector" class="form__select select-thesis-type" name="thesis-type" {% if thesis is not null %} disabled {% endif %}>
                            <option value="default" {% if thesis is not null and thesis.type == 'default' %} selected {% endif %}>Default</option>
                            <option value="definition" {% if thesis is not null and thesis.type == 'definition' %} selected {% endif %}>Definition</option>
                            <option value="list" {% if thesis is not null and thesis.type == 'list' %} selected {% endif %}>List</option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="content-list-wrapper">
                {% include 'admin/views/thesis_type/default_type.html.twig' %}
                {% include 'admin/views/thesis_type/definition_type.html.twig' %}
                {% include 'admin/views/thesis_type/list_type.html.twig' %}
            </div>
            <div class="sub-block">
                <div class="form__action">
                    <input type="submit" value="Save" class="form__btn btn-blue" data-action="admin--thesis--content--base#save"
                           data-admin--thesis--content--base-url-param="{{ path('app_admin_thesis_content_save') }}"/>
                    {% if thesis is not null %}
                        <button class="form__btn btn-red btn-delete-thesis" data-thesis-id="{{ thesis.id }}">Delete</button>
                    {% endif %}
                </div>
            </div>
        </form>
    </div>
{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('app_admin_thesis_content') }}
{% endblock %}